CREATE TABLE gtg_ts_recvpaymentschedule (
    ETL_SEQUENCE_ID               NUMBER(19, 0),
    ETL_VERSION_NUMBER            NUMBER(18, 0),
    DELETE_VERSION_NUMBER         NUMBER(18, 0),
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    ACCTD_AMOUNT_DUE_REMAINING    NUMBER       ,
    ACTUAL_DATE_CLOSED            DATE         ,
    AMOUNT_ADJUSTED               NUMBER       ,
    AMOUNT_ADJUSTED_PENDING       NUMBER       ,
    AMOUNT_APPLIED                NUMBER       ,
    AMOUNT_CREDITED               NUMBER       ,
    AMOUNT_DUE_ORIGINAL           NUMBER       ,
    AMOUNT_DUE_REMAINING          NUMBER       ,
    AMOUNT_IN_DISPUTE             NUMBER       ,
    ARPAYMENTSCHEDULESALL_CB      VARCHAR2(256),
    ARPAYMENTSCHEDULESALL_CD      TIMESTAMP(6) ,
    ARPAYMENTSCHEDULESALL_LUB     VARCHAR2(256),
    ARPAYMENTSCHEDULESALL_LUD     TIMESTAMP(6) ,
    CASH_RECEIPT_ID               NUMBER(18, 0),
    CLASS                         VARCHAR2(80) ,
    CONS_INV_ID                   NUMBER(18, 0),
    CUSTOMER_ID                   NUMBER(18, 0),
    CUSTOMER_TRX_ID               NUMBER(18, 0),
    DISCOUNT_TAKEN_EARNED         NUMBER       ,
    DISCOUNT_TAKEN_UNEARNED       NUMBER       ,
    DISPUTE_DATE                  DATE         ,
    DUE_DATE                      DATE         ,
    EXCHANGE_DATE                 DATE         ,
    EXCHANGE_RATE                 NUMBER       ,
    EXCHANGE_RATE_TYPE            VARCHAR2(120),
    GL_DATE                       DATE         ,
    GL_DATE_CLOSED                DATE         ,
    INVOICE_CURRENCY_CODE         VARCHAR2(60) ,
    NUMBER_OF_DUE_DATES           NUMBER(18, 0),
    ORGID                         NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID           NUMBER(18, 0),
    STATUS                        VARCHAR2(120),
    TERM_ID                       NUMBER(18, 0),
    TRX_DATE                      DATE         ,
    TRX_NUMBER                    VARCHAR2(120),
    ETL_SEQUENCE_ID               NUMBER(19, 0),
    ETL_VERSION_NUMBER            NUMBER(18, 0),
    DELETE_VERSION_NUMBER         NUMBER(18, 0),
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    ACCTD_AMOUNT_DUE_REMAINING    NUMBER       ,
    ACTUAL_DATE_CLOSED            DATE         ,
    AMOUNT_ADJUSTED               NUMBER       ,
    AMOUNT_ADJUSTED_PENDING       NUMBER       ,
    AMOUNT_APPLIED                NUMBER       ,
    AMOUNT_CREDITED               NUMBER       ,
    AMOUNT_DUE_ORIGINAL           NUMBER       ,
    AMOUNT_DUE_REMAINING          NUMBER       ,
    AMOUNT_IN_DISPUTE             NUMBER       ,
    ARPAYMENTSCHEDULESALL_CB      VARCHAR2(256),
    ARPAYMENTSCHEDULESALL_CD      TIMESTAMP(6) ,
    ARPAYMENTSCHEDULESALL_LUB     VARCHAR2(256),
    ARPAYMENTSCHEDULESALL_LUD     TIMESTAMP(6) ,
    CASH_RECEIPT_ID               NUMBER(18, 0),
    CLASS                         VARCHAR2(80) ,
    CONS_INV_ID                   NUMBER(18, 0),
    CUSTOMER_ID                   NUMBER(18, 0),
    CUSTOMER_TRX_ID               NUMBER(18, 0),
    DISCOUNT_TAKEN_EARNED         NUMBER       ,
    DISCOUNT_TAKEN_UNEARNED       NUMBER       ,
    DISPUTE_DATE                  DATE         ,
    DUE_DATE                      DATE         ,
    EXCHANGE_DATE                 DATE         ,
    EXCHANGE_RATE                 NUMBER       ,
    EXCHANGE_RATE_TYPE            VARCHAR2(120),
    GL_DATE                       DATE         ,
    GL_DATE_CLOSED                DATE         ,
    INVOICE_CURRENCY_CODE         VARCHAR2(60) ,
    NUMBER_OF_DUE_DATES           NUMBER(18, 0),
    ORGID                         NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID           NUMBER(18, 0),
    STATUS                        VARCHAR2(120),
    TERM_ID                       NUMBER(18, 0),
    TRX_DATE                      DATE         ,
    TRX_NUMBER                    VARCHAR2(120),
    CONSTRAINT pk_gtg_ts_recvpaymentschedule PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
